const $ = require('jquery');
require("../css/reset.less")
require("../css/login.less")
require("./modal.js")
const {post,setCookie,delCookie} = require('../js/utils.js');
const md5 = require('js-md5');
$(function(){
  delCookie('accessToken')
  $(document).keyup(function(event){  
    if(event.keyCode ==13){  
      sureLogin()
    }  
  }); 
  $(".sureLogin").click(()=>{
    sureLogin()
  })
});
function sureLogin(){
  let username = $("#username").val().trim();
  let password = $("#password").val().trim();
  if(!username){
    $(".login .waring").css('display','block').html('请输入用户名')
    return
  }else if(!password){
    $(".login .waring").css('display','block').html('请输入密码')
    return
  }
  $.alerModal({type:"loading"});
  post('/sys/user/getJwt',{
    username:username,
    password:md5(password)
  }).then((res)=>{
    const data = res.data;
    if(data.code == 0){
      setCookie('accessToken',data.data.accessToken)
      $(".divModal").remove()
      $.alerModal({"message":"登录成功",type:"tip",time:'1000'});
      setTimeout(() => {
        window.location.href = '/index.html'
      }, 600);
    }else{
      $(".divModal").remove()
      $(".login .waring").css('display','block').html(data.msg)
    }
  }).catch(()=>{
    $(".divModal").remove()
  })
}